﻿<script type="text/javascript">
    var ReportsLoaded = [];
    function GetPageCharts(pPage) {
        ReportsLoaded[pPage] = false;
        jQuery('#ReportsLI_' + pPage).hover(function () {
            if (!ReportsLoaded[pPage]) {
                $.ajax({
                    url: '/Chart/_GetChartMenuList',
                    contextType: 'application/html;charset=utf-8',
                    data: { pPortalPage: pPage },
                    type: 'POST',
                    dataType: 'html'
                }).done(function (data) {
                    //$("#LoadColor").hide();
                    $("#ReportsUL_" + pPage).removeClass("ReportsSubMenuLi");
                    $("#ReportsUL_" + pPage).html(data);
                    ReportsLoaded[pPage] = true;
                }).fail(function () {
                });
            }
        }, function () {
        });
    }
</script>

<div class="sidebar sidebar-main sidebar-default">
    <div class="sidebar-content">

        <!-- Main navigation -->
        <div class="sidebar-category sidebar-category-visible">


            <div class="category-content no-padding">
                <ul class="navigation navigation-main navigation-accordion">

                    <!-- Main -->
                    <li>
                        <a href='@Url.Action("Index", "./Home", new { area = "" }, null)' class="legitRipple">
                            <i class="icon_sap icon_sap_8">
                            </i> <span>Dashboard</span>
                        </a>
                    </li>

                    <li class="">
                        <a href="#" class="legitRipple">
                            <i class="icon_sap icon_sap_1">
                            </i> <span>@Shared.GS</span>
                        </a>

                        @{
                            bool _CompanyUpdatePermission = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMCompanies.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                        }
                        <ul class="">
                            @foreach (PageView itemPage in (((UserView)Session["UserLogin"]).ListPage))
                            {
                                <li class="legitRipple">
                                    @Html.ActionLink(@itemPage.translated, @itemPage.Action, 
                                        @itemPage.Controller, new { area = "" }, null)
                                </li>
                            }
                            @if (_CompanyUpdatePermission)
                            {
                                <li class="legitRipple">@Html.ActionLink(Tiles.Tls, "Index", "Tile", null, null)</li>
                            }
                            <li class="legitRipple">@Html.ActionLink("Logs", "Index", "Log", null, null)</li>
                            <li class="" id="ReportsLI_Home">
                                <a tabindex="-1" href="#">@Shared.Reports</a>
                                <ul class="ReportsSubMenuLi" id="ReportsUL_Home"></ul>
                            </li>
                        </ul>
                    </li>

                    @if (!((UserView)Session["UserLogin"]).WorkOffline)
                    {
                        foreach (AreaKeyView item in (((UserView)Session["UserLogin"]).ListArea))
                        {
                            <li class="">
                                @{
                                    string url = Html.ActionLink(@item.translated, @item.Action, @item.Controller).ToHtmlString();

                                    switch (item.Area)
                                    {
                                        case "WEBPORTAL":
                                            <a href="#" class="dropdown-toggle">
                                                @(((UserView)Session["UserLogin"]).Name)
                                                <i class="icon_sap icon_sap_36 float"></i>
                                            </a>
                                            break;
                                        case "PLM":
                                            <a href="#" class="has-ul legitRipple"><i class="icon_sap icon_sap_6"></i> <span>@item.translated</span></a>


                                            bool _MyStyleGrid = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.MyStyleGrid.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                            bool _MyCostSheet = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.MyCostSheet.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                            bool _MyStyleList = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.MyStyleList.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                            bool _StyleGrid = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.StyleGrid.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                            bool _Activity = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.Activity.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                            bool _SL = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.StyleList.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                            bool _ColorMaster = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ColorMaster.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                            bool _ScaleMaster = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ScaleMaster.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                            bool _VarMaster = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.VarMaster.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                            bool _CostSheet = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.CostSheet.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                            bool _RangePlan = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PLMRangePlan.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                            bool _CPath = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PLMCPath.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                            bool _PDC = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PDC.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                            bool _MyActivities = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PLMMyActivities.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                            bool _Shipment = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.Shipment.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                            bool _MyShipment = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.MyShipment.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;

                                            <ul>
                                                @if (_MyStyleGrid || _MyStyleList)
                                                {
                                                    <li class="">
                                                        <a tabindex="-1" href="#" class="has-ul legitRipple">@Shared.MyStyles</a>
                                                        <ul class="hidden-ul">
                                                            @if (_MyStyleGrid)
                                                            {
                                                                <li>
                                                                    @Html.ActionLink(@Shared.StyleGrid, "PDMGrid", "MyStyles",
                                                                      new { area = item.Area }, new { @class = "legitRipple" })
                                                                </li>
                                                            }
                                                            @if (_MyStyleList)
                                                            {
                                                                <li>
                                                                    @Html.ActionLink(@Shared.SL, "Index", "MyStyles",
                                                                        new { area = item.Area }, new { @class = "legitRipple" })
                                                                </li>
                                                            }
                                                            @if (_MyCostSheet)
                                                            {
                                                                <li>
                                                                    @Html.ActionLink(@Shared.CS, "MyCostSheet", "MyStyles",
                                                                       new { area = item.Area }, new { @class = "legitRipple" })
                                                                </li>
                                                            }
                                                        </ul>
                                                    </li>
                                                }

                                                @if (_StyleGrid || _SL)
                                                {
                                                    <li class="">
                                                        <a tabindex="-1" href="#"  class="has-ul legitRipple">@Shared.Designs</a>
                                                        <ul class="hidden-ul">
                                                            @if (_StyleGrid)
                                                            {

                                                                <li>
                                                                    @Html.ActionLink(@Shared.DG, "IndexGrid", "Design",
                                                                        new { area = item.Area }, new { @class = "legitRipple" })
                                                                </li>
                                                            }
                                                            @if (_SL)
                                                            {
                                                                <li>
                                                                    @Html.ActionLink(@Shared.DL, "Index", "Design",
                                                                        new { area = item.Area }, new { @class = "legitRipple" })
                                                                </li>
                                                            }
                                                        </ul>
                                                    </li>
                                                }

                                                @if (_StyleGrid || _SL)
                                                {
                                                    <li class="">
                                                        <a tabindex="-1" href="#"  class="has-ul legitRipple">@Shared.Styles</a>
                                                        <ul class="hidden-ul">
                                                            @if (_StyleGrid)
                                                            {
                                                                <li>
                                                                    @Html.ActionLink(@Shared.StyleGrid, "PDMGrid", "PDM",
                                                                            new { area = item.Area }, new { @class = "legitRipple" })
                                                                </li>
                                                            }
                                                            @if (_SL)
                                                            {
                                                                <li>
                                                                    @Html.ActionLink(@Shared.SL, "Index", "PDM",
                                                                            new { area = item.Area }, new { @class = "legitRipple" })
                                                                </li>
                                                            }
                                                        </ul>
                                                    </li>
                                                }

                                                @if (_Activity || _Activity)
                                                {

                                                    <li class="">
                                                        <a tabindex="-1" href="#"  class="has-ul legitRipple">@Shared.Activities</a>
                                                        <ul class="hidden-ul">

                                                            @if (_MyActivities)
                                                            {
                                                                <li>
                                                                    @Html.ActionLink(@Shared.MyActivities, "IndexMyActivity", "Activity",
                                                                        new { area = item.Area }, new { @class = "legitRipple" })
                                                                </li>
                                                            }
                                                            @if (_Activity)
                                                            {
                                                                <li>
                                                                    @Html.ActionLink(@Shared.Activities, "Index", "Activity",
                                                                     new { area = item.Area }, new { @class = "legitRipple" })
                                                                </li>
                                                            }
                                                        </ul>
                                                    </li>
                                                }

                                                @if (_Shipment || _MyShipment)
                                                {
                                                    <li class="">
                                                        <a tabindex="-1" href="#"  class="has-ul legitRipple">@Shared.MyShMent</a>
                                                        <ul class="hidden-ul">
                                                            @if (_MyShipment)
                                                            {
                                                                <li>
                                                                    @Html.ActionLink(@Shared.MyShMent, "MyShMent", "Shipment",
                                                                     new { area = item.Area }, new { @class = "legitRipple" })
                                                                </li>
                                                            }
                                                            @if (_Shipment)
                                                            {
                                                                <li>
                                                                    @Html.ActionLink(@Shared.Shipment, "Index", "Shipment",
                                                                     new { area = item.Area }, new { @class = "legitRipple" })
                                                                </li>
                                                            }
                                                        </ul>
                                                    </li>
                                                }

                                                @if (_ColorMaster)
                                                {
                                                    <li>
                                                        @Html.ActionLink(@Shared.ColorMaster, "Index", "ColorMaster",
                                                            new { area = item.Area }, new { @class = "legitRipple" })
                                                    </li>
                                                }

                                                @if (_CostSheet)
                                                {
                                                    <li>
                                                        @Html.ActionLink(@Shared.CS, "Index", "CostSheet",
                                                            new { area = item.Area }, new { @class = "legitRipple" })
                                                    </li>
                                                }

                                                @if (_ScaleMaster)
                                                {
                                                    <li>
                                                        @Html.ActionLink(@Shared.ScaleMaster, "Index", "ScaleMaster",
                                                                new { area = item.Area }, new { @class = "legitRipple" })
                                                    </li>
                                                }

                                                @if (_VarMaster)
                                                {
                                                    <li>
                                                        @Html.ActionLink(@Shared.VarMaster, "Index", "VarMaster",
                                                                new { area = item.Area }, new { @class = "legitRipple" })
                                                    </li>}

                                                @if (_RangePlan)
                                                {
                                                    <li>
                                                        @Html.ActionLink(@Shared.RangePlan, "Index", "RangePlan",
                                                                new { area = item.Area }, new { @class = "legitRipple" })
                                                    </li>
                                                }

                                                @if (_CPath)
                                                {
                                                    <li>
                                                        @Html.ActionLink(@Shared.CrititalPath, "Index", "CriticalPath",
                                                            new { area = item.Area }, new { @class = "legitRipple" })
                                                    </li>
                                                }
                                                @if (_PDC)
                                                {
                                                    <li>
                                                        @Html.ActionLink(@Shared.PDC, "Index", "PDC",
                                                            new { area = item.Area }, new { @class = "legitRipple" })
                                                    </li>
                                                }
                                                <li class="" id="ReportsLI_PLM">
                                                    <a tabindex="-1" href="#">@Shared.Reports</a>
                                                    <ul class="ReportsSubMenuLi" id="ReportsUL_PLM"></ul>
                                                </li>
                                            </ul>
                                            break;

                                        case "SALES":
                                            <a href="#" class="has-ul legitRipple"><i class="icon_sap icon_sap_2"></i> <span>@item.translated</span></a>
                                            <ul class="hidden-ul">
                                                @{
                                                    bool _SOS = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                                    bool _SQS = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesQuotation.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                                    bool _SD = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesDraft.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                                    bool _SI = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesInvoice.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                                    bool _SA = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesApproval.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                                    bool _OOPR = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.OpportunitiesList.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                                    bool _MYOOPR = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.MyOpportunitiesList.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                                    bool _QO = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SOQuickOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                                }

                                                @if (_MYOOPR)
                                                {
                                                    <li class="">
                                                        <a tabindex="-1" href="#" class="has-ul legitRipple">@Approval.MyOpportunity</a>
                                                        <ul class="hidden-ul">
                                                            <li>
                                                                @Html.ActionLink(@Approval.Opportunity, "Index", "MyOpportunities",
                                                                        new { area = item.Area }, new { @class = "legitRipple" })
                                                            </li>
                                                        </ul>
                                                    </li>
                                                }

                                                @if (_OOPR)
                                                {
                                                    <li>
                                                        @Html.ActionLink(@Approval.Opportunity, "Index", "Opportunities",
                                                            new { area = item.Area }, new { @class = "legitRipple" })
                                                    </li>
                                                }

                                                @if (_SA)
                                                {
                                                    <li>
                                                        @Html.ActionLink(@Approval.MAS, "Index", "SalesApproval",
                                                            new { area = item.Area }, new { @class = "legitRipple" })
                                                    </li>
                                                }

                                                @if (_SD)
                                                {
                                                    <li>
                                                        @Html.ActionLink(@Drafts.MD, "Index", "SalesDraft",
                                                                new { area = item.Area }, new { @class = "legitRipple" })
                                                    </li>
                                                }

                                                @if (_SQS)
                                                {
                                                    <li>
                                                        @Html.ActionLink(@SaleOrders.SQS, "Index", "SalesQuotation",
                                                            new { area = item.Area }, new { @class = "legitRipple" })
                                                    </li>
                                                }

                                                @if (_SOS)
                                                {
                                                    <li>
                                                        @Html.ActionLink(@SaleOrders.SOS, "Index", "SalesOrder",
                                                            new { area = item.Area }, new { @class = "legitRipple" })
                                                    </li>
                                                }

                                                @if (_SI)
                                                {
                                                    <li>
                                                        @Html.ActionLink(@SalesInvoices.SIS, "Index", "SalesInvoice",
                                                            new { area = item.Area }, new { @class = "legitRipple" })
                                                    </li>
                                                }

                                                @if (_QO)
                                                {
                                                    <li>
                                                        @Html.ActionLink(@QuickOrder.QO, "Index", "QuickOrder",
                                                                new { area = item.Area }, new { @class = "legitRipple" })

                                                    </li>
                                                }

                                                <li class="" id="ReportsLI_Sales">
                                                    <a tabindex="-1" href="#">@Shared.Reports</a>
                                                    <ul class="ReportsSubMenuLi" id="ReportsUL_Sales"></ul>
                                                </li>

                                            </ul>
                                                        break;

                                                    case "PURCHASE":
                                            <a href="#" class="has-ul legitRipple"><i class="icon_sap icon_sap_3"></i> <span>@item.translated</span></a>
                                            <ul class="hidden-ul">
                                                @{
                                                    bool _POS = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                                    bool _PQS = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseQuotation.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                                    bool _PRS = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseRequest.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                                    bool _PD = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseDraft.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                                    bool _PA = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseApproval.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                                    bool _PI = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseInvoice.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                                }

                                                @if (_PA)
                                                {
                                                    <li>
                                                        @Html.ActionLink(@Approval.MAS, "Index", "Approval",
                                                           new { area = item.Area }, new { @class = "legitRipple" })
                                                    </li>
                                                }
                                                @if (_PD)
                                                {
                                                    <li>
                                                        @Html.ActionLink(@Drafts.MD, "Index", "Draft",
                                                               new { area = item.Area }, new { @class = "legitRipple" })
                                                    </li>
                                                }
                                                @if (_PRS)
                                                {
                                                    <li>
                                                        @Html.ActionLink(@PurchaseRequest.PRS, "Index", "PurchaseRequest",
                                                               new { area = item.Area }, new { @class = "legitRipple" })
                                                    </li>
                                                }
                                                @if (_PQS)
                                                {
                                                    <li>
                                                        @Html.ActionLink(PurchaseOrders.PQS, "Index", "PurchaseQuotation",
                                                                   new { area = item.Area }, new { @class = "legitRipple" })
                                                    </li>
                                                }
                                                @if (_POS)
                                                {
                                                    <li>
                                                        @Html.ActionLink(@PurchaseOrders.POS, "Index", "PurchaseOrder",
                                                                  new { area = item.Area }, new { @class = "legitRipple" })

                                                    </li>
                                                }
                                                @if (_PI)
                                                {
                                                    <li>
                                                        @Html.ActionLink(@PurchaseInvoices.PIS, "Index", "PurchaseInvoice",
                                                                new { area = item.Area }, new { @class = "legitRipple" })
                                                    </li>
                                                }
                                                <li class="" id="ReportsLI_Purchases">
                                                    <a tabindex="-1" href="#">@Shared.Reports</a>
                                                    <ul class="ReportsSubMenuLi" id="ReportsUL_Purchases"></ul>
                                                </li>
                                            </ul>
                                                        break;

                                                    case "WMS":
                                                        break;
                                                    case "MASTERDATA":
                                            <a href="#" class="has-ul legitRipple"><i class="icon_sap icon_sap_7"></i> <span>@item.translated</span></a>
                                            <ul class="hidden-ul">
                                                @{
                                                    bool _ABMBP = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMBP.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                                    bool _ABMMyBP = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMMyBP.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                                    bool _CAR = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.CustomerAging.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                                    bool _IM = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ItemMaster.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                                    bool _IN = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.InventoryStatus.ToDescriptionString()).FirstOrDefault() != null ? true : false;

                                                    if (_ABMMyBP)
                                                    {
                                                        <li>
                                                            @Html.ActionLink(@BusinessPartners.MyBPS, "Index", "MyBusinessPartner",
                                                                    new { area = item.Area }, new { @class = "legitRipple" })
                                                        </li>
                                                    }

                                                    if (_ABMBP)
                                                    {
                                                        <li>
                                                            @Html.ActionLink(@BusinessPartners.BPS, "Index", "BusinessPartner",
                                                                    new { area = item.Area }, new { @class = "legitRipple" })
                                                        </li>
                                                    }

                                                    if (_CAR)
                                                    {
                                                        <li>
                                                            @Html.ActionLink(@CustomerAgingResource.CAR, "Index", "CustomerAging",
                                                                       new { area = item.Area }, new { @class = "legitRipple" })
                                                        </li>
                                                    }

                                                    if (_IM)
                                                    {
                                                        <li>
                                                            @Html.ActionLink(@ItemMaster.MenuTitle, "Index", "MasterData",
                                                                           new { area = item.Area }, new { @class = "legitRipple" })
                                                        </li>
                                                    }

                                                    if (_IN)
                                                    {
                                                        <li>
                                                            @Html.ActionLink(@Shared.InvStatus, "Index", "InventoryStatus",
                                                                           new { area = item.Area }, new { @class = "legitRipple" })
                                                        </li>
                                                    }

                                                    <li class="" id="ReportsLI_MasterData">
                                                        <a tabindex="-1" href="#">@Shared.Reports</a>
                                                        <ul class="ReportsSubMenuLi" id="ReportsUL_MasterData"></ul>
                                                    </li>
                                                }
                                            </ul>
                                                        break;

                                                    case "SERVICECALL":
                                            <a href="#" class="has-ul legitRipple"><i class="icon_sap icon_sap_4"></i> <span>@item.translated</span></a>

                                            <ul class="hidden-ul">
                                                @{
                                                    bool _OSCL = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ServiceCallList.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                                    bool _MYOSCL = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.MyServiceCallList.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                                }
                                                @if (_MYOSCL)
                                                {
                                                    <li class="">
                                                        <a tabindex="-1" href="#">@ARGNS.WebSite.Resources.Views.Shared.Shared.MyServiceCall</a>
                                                        <ul class="">
                                                            <li>
                                                                @Html.ActionLink(@Shared.ServiceCall, "Index", "MyServiceCall",
                                                                   new { area = item.Area }, new { @class = "legitRipple" })
                                                            </li>
                                                        </ul>
                                                    </li>
                                                }

                                                @if (_OSCL)
                                                {
                                                    <li>
                                                        @Html.ActionLink(@Shared.ServiceCall, "Index", "ServiceCall",
                                                                   new { area = item.Area }, new { @class = "legitRipple" })
                                                    </li>
                                                }
                                                <li class="" id="ReportsLI_ServiceCall">
                                                    <a tabindex="-1" href="#">@Shared.Reports</a>
                                                    <ul class="ReportsSubMenuLi" id="ReportsUL_ServiceCall"></ul>
                                                </li>
                                            </ul>
                                                        break;

                                                    case "CRM":
                                            <a href="@url" class="has-ul legitRipple"><i class="icon_sap icon_sap_5"></i> <span>@item.translated</span></a>

                                                        _MyActivities = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.CRMMyActivities.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;
                                                        bool _Activities = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.CRMActivities.ToDescriptionString() && c.InternalKey == Enums.Actions.List.ToDescriptionString()).FirstOrDefault() != null ? true : false;

                                                        <ul class="hidden-ul">
                                                            @if (_MyActivities)
                                                            {
                                                                <li>
                                                                    @Html.ActionLink(@Shared.MyActivities, "Index", "CRMMyActivity", new { area = item.Area }, new { @class = "legitRipple" })
                                                                </li>
                                                            }

                                                            @if (_Activities)
                                                            {
                                                                <li>@Html.ActionLink(@Shared.Activity, "Index", "CRMActivity", new { area = item.Area }, new { @class = "legitRipple" })</li>
                                                            }
                                                            <li class="" id="ReportsLI_CRM">
                                                                <a tabindex="-1" href="#">@Shared.Reports</a>
                                                                <ul class="ReportsSubMenuLi" id="ReportsUL_CRM"></ul>
                                                            </li>

                                                        </ul>

                                                            break;
                                                    }
                                }
                            </li>
                        }
                    }
                    <!-- /main -->
                </ul>
            </div>
            <script type="text/javascript">
                GetPageCharts("Home");
                GetPageCharts("PLM");
                GetPageCharts("Sales");
                GetPageCharts("Purchases");
                GetPageCharts("MasterData");
                GetPageCharts("ServiceCall");
                GetPageCharts("CRM");
            </script>
        </div>
        <!-- /main navigation -->

    </div>
</div>
